<?php

namespace Myvetshop\Module\Clinique\Security\Profiles;

interface ProfileInterface
{
    public function getProfileName(): string;

    /**
     * @return list<string>
     */
    public function getProfileTabs(): array;

    public function ensureProfileIsConfigured(): void;
}
